<div class="container">
    <div class="row">
      <div class="col-lg-8 mx-auto">
        <div class="card card-signin my-3">
          <div class="card-body">
            <h2>Registro como Médico</h2>
            <hr class="my-3">
            <form [formGroup]="registerForm" (ngSubmit)="onSubmit()" #myform="ngForm">
              <div class="form-group">
                <label>Nombre de usuario</label>
                <input type="text" class="form-control" formControlName="usuario" placeholder="Nombre de usuario" required>  
                <div *ngIf="getControl.usuario.hasError('required') && myform.submitted" class="text-danger">Debes incluir el username</div>
              </div>
              
              <div class="row">

                <div class="col">
                  <div class="form-group">
                    <label>Clave</label>
                    <input type="password"  class="form-control" formControlName="clave" placeholder="Clave" required> 
                    <div *ngIf="getControl.clave.hasError('required') && myform.submitted" class="text-danger">Debes indicar la clave.</div>

                  </div>
                </div>

                <div class="col">
                  <div class="form-group">
                    <label>Repite la clave</label>
                    <input type="password"  class="form-control" formControlName="clave2" placeholder="Repite la clave" required> 
                    <div *ngIf="getControl.clave2.hasError('required') && myform.submitted" class="text-danger">Debes repetir la clave.</div>
                  </div>
                </div>

              </div>
              

              <div class="row">

                <div class="col">
                  <div class="form-group">
                    <label>Nombre</label>
                    <input type="text" class="form-control" formControlName="nombre" placeholder="Nombre" required>              
                    <div *ngIf="getControl.nombre.hasError('required') && myform.submitted" class="text-danger">Debes indicar tu nombre.</div>
                  </div>
                </div>

                <div class="col">
                  <div class="form-group">
                    <label>Apellidos</label>
                    <input type="text" class="form-control" formControlName="apellidos" placeholder="Apellidos" required>
                    <div *ngIf="getControl.apellidos.hasError('required') && myform.submitted" class="text-danger">Debes indicar tus apellidos.</div>
                  </div>
                </div>
              </div>
              

              <div class="form-group">
                <label>Número de Colegiado</label>
                <input type="text" class="form-control" formControlName="numColegiado" placeholder="Número de Colegiado" required>  
                <div *ngIf="getControl.numColegiado.hasError('required') && myform.submitted" class="text-danger">Debes indicar el Número de Colegiado.</div>
              </div>
              



              <div class="row">
                <span style="display:inline-block; width: 1px;"></span>
                <button class="btn btn-dark">Registrarme</button>
                <button type="button" class="btn btn-outline-secondary" routerLink="">Volver al inicio</button>
                <span style="display:inline-block; width: 1px;"></span>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>